| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Classes | Static Public Member Functions | List of all members
cv::detail::OCVCallHelper< Impl, std::tuple< Ins... >, std::tuple< Outs... > > Struct Template Reference

`#include <opencv2/gapi/cpu/gcpukernel.hpp>`

Collaboration diagram for cv::detail::OCVCallHelper< Impl, std::tuple< Ins... >, std::tuple< Outs... > >:

## Classes
struct | call_and_postprocess

## Static Public Member Functions
static void | call (GCPUContext &ctx)
template<int... IIs, int... OIs>
static void | call_impl (cv::GCPUContext &ctx, Impl &impl, detail::Seq< IIs... >, detail::Seq< OIs... >)
template<int... IIs, int... OIs>
static void | call_impl (GCPUContext &ctx, detail::Seq< IIs... >, detail::Seq< OIs... >)
static void | callFunctor (cv::GCPUContext &ctx, Impl &impl)

## Member Function Documentation

## ◆ call()

template<typename Impl , typename... Ins, typename... Outs>

static void cv::detail::OCVCallHelper< Impl, std::tuple< Ins... >, std::tuple< Outs... > >::call | ( | GCPUContext & | ctx | ) |
| inline static

## ◆ call_impl() [1/2]

template<typename Impl , typename... Ins, typename... Outs>
template<int... IIs, int... OIs>

static void cv::detail::OCVCallHelper< Impl, std::tuple< Ins... >, std::tuple< Outs... > >::call_impl | ( | cv::GCPUContext & | ctx,
|  | Impl & | impl,
|  | detail::Seq< IIs... > | ,
|  | detail::Seq< OIs... > | )
| inline static

Here is the call graph for this function:

## ◆ call_impl() [2/2]

template<typename Impl , typename... Ins, typename... Outs>
template<int... IIs, int... OIs>

static void cv::detail::OCVCallHelper< Impl, std::tuple< Ins... >, std::tuple< Outs... > >::call_impl | ( | GCPUContext & | ctx,
|  | detail::Seq< IIs... > | ,
|  | detail::Seq< OIs... > | )
| inline static

Here is the call graph for this function:

## ◆ callFunctor()

template<typename Impl , typename... Ins, typename... Outs>

static void cv::detail::OCVCallHelper< Impl, std::tuple< Ins... >, std::tuple< Outs... > >::callFunctor | ( | cv::GCPUContext & | ctx,
|  | Impl & | impl )
| inline static

The documentation for this struct was generated from the following file:

- opencv2/gapi/cpu/gcpukernel.hpp